package no.ubicollab.axis.services.discoveryManager;

public class DiscoveryManagerImplProxy implements no.ubicollab.axis.services.discoveryManager.DiscoveryManagerImpl {
  private String _endpoint = null;
  private no.ubicollab.axis.services.discoveryManager.DiscoveryManagerImpl discoveryManagerImpl = null;
  
  public DiscoveryManagerImplProxy() {
    _initDiscoveryManagerImplProxy();
  }
  
  private void _initDiscoveryManagerImplProxy() {
    try {
      discoveryManagerImpl = (new no.ubicollab.axis.services.discoveryManager.DiscoveryManagerImplServiceLocator()).getdiscoveryManager();
      if (discoveryManagerImpl != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)discoveryManagerImpl)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)discoveryManagerImpl)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (discoveryManagerImpl != null)
      ((javax.xml.rpc.Stub)discoveryManagerImpl)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public no.ubicollab.axis.services.discoveryManager.DiscoveryManagerImpl getDiscoveryManagerImpl() {
    if (discoveryManagerImpl == null)
      _initDiscoveryManagerImplProxy();
    return discoveryManagerImpl;
  }
  
  public boolean registerService(int searchRequestorID, int protocolID, java.lang.String descriptionURI, java.lang.String serviceURI, java.lang.String friendlyName, java.lang.String type, java.lang.String description, java.lang.String owner, java.lang.String location) throws java.rmi.RemoteException{
    if (discoveryManagerImpl == null)
      _initDiscoveryManagerImplProxy();
    return discoveryManagerImpl.registerService(searchRequestorID, protocolID, descriptionURI, serviceURI, friendlyName, type, description, owner, location);
  }
  
  public java.lang.String getLogItems(java.lang.String logLevel, int numItems) throws java.rmi.RemoteException{
    if (discoveryManagerImpl == null)
      _initDiscoveryManagerImplProxy();
    return discoveryManagerImpl.getLogItems(logLevel, numItems);
  }
  
  public java.lang.String getClientRequest(int pluginID) throws java.rmi.RemoteException{
    if (discoveryManagerImpl == null)
      _initDiscoveryManagerImplProxy();
    return discoveryManagerImpl.getClientRequest(pluginID);
  }
  
  public java.lang.String getSDPlugins() throws java.rmi.RemoteException{
    if (discoveryManagerImpl == null)
      _initDiscoveryManagerImplProxy();
    return discoveryManagerImpl.getSDPlugins();
  }
  
  public int registerClient() throws java.rmi.RemoteException{
    if (discoveryManagerImpl == null)
      _initDiscoveryManagerImplProxy();
    return discoveryManagerImpl.registerClient();
  }
  
  public boolean registerClientRequest(int clientID, java.lang.String name, java.lang.String type, java.lang.String location, java.lang.String owner, java.lang.String description) throws java.rmi.RemoteException{
    if (discoveryManagerImpl == null)
      _initDiscoveryManagerImplProxy();
    return discoveryManagerImpl.registerClientRequest(clientID, name, type, location, owner, description);
  }
  
  public int registerSDPlugin(java.lang.String protocolName) throws java.rmi.RemoteException{
    if (discoveryManagerImpl == null)
      _initDiscoveryManagerImplProxy();
    return discoveryManagerImpl.registerSDPlugin(protocolName);
  }
  
  public java.lang.String getServices(int clientID) throws java.rmi.RemoteException{
    if (discoveryManagerImpl == null)
      _initDiscoveryManagerImplProxy();
    return discoveryManagerImpl.getServices(clientID);
  }
  
  
}