package no.ubicollab.axis.services.serviceRegistry;

public class ServiceRegistryImplProxy implements no.ubicollab.axis.services.serviceRegistry.ServiceRegistryImpl {
  private String _endpoint = null;
  private no.ubicollab.axis.services.serviceRegistry.ServiceRegistryImpl serviceRegistryImpl = null;
  
  public ServiceRegistryImplProxy() {
    _initServiceRegistryImplProxy();
  }
  
  private void _initServiceRegistryImplProxy() {
    try {
      serviceRegistryImpl = (new no.ubicollab.axis.services.serviceRegistry.ServiceRegistryImplServiceLocator()).getserviceRegistry();
      if (serviceRegistryImpl != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)serviceRegistryImpl)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)serviceRegistryImpl)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (serviceRegistryImpl != null)
      ((javax.xml.rpc.Stub)serviceRegistryImpl)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public no.ubicollab.axis.services.serviceRegistry.ServiceRegistryImpl getServiceRegistryImpl() {
    if (serviceRegistryImpl == null)
      _initServiceRegistryImplProxy();
    return serviceRegistryImpl;
  }
  
  public java.lang.String getLogItems(java.lang.String logLevel, int numItems) throws java.rmi.RemoteException{
    if (serviceRegistryImpl == null)
      _initServiceRegistryImplProxy();
    return serviceRegistryImpl.getLogItems(logLevel, numItems);
  }
  
  public boolean updateService(int serviceID, java.lang.String serviceURI, java.lang.String descriptionURI, java.lang.String friendlyName, java.lang.String type, java.lang.String location, java.lang.String owner, java.lang.String description) throws java.rmi.RemoteException{
    if (serviceRegistryImpl == null)
      _initServiceRegistryImplProxy();
    return serviceRegistryImpl.updateService(serviceID, serviceURI, descriptionURI, friendlyName, type, location, owner, description);
  }
  
  public java.lang.String getServiceDetails(int serviceId) throws java.rmi.RemoteException{
    if (serviceRegistryImpl == null)
      _initServiceRegistryImplProxy();
    return serviceRegistryImpl.getServiceDetails(serviceId);
  }
  
  public java.lang.String getServiceDetails(java.lang.String serviceUri) throws java.rmi.RemoteException{
    if (serviceRegistryImpl == null)
      _initServiceRegistryImplProxy();
    return serviceRegistryImpl.getServiceDetails(serviceUri);
  }
  
  public boolean deleteService(int serviceId) throws java.rmi.RemoteException{
    if (serviceRegistryImpl == null)
      _initServiceRegistryImplProxy();
    return serviceRegistryImpl.deleteService(serviceId);
  }
  
  public java.lang.String getServices() throws java.rmi.RemoteException{
    if (serviceRegistryImpl == null)
      _initServiceRegistryImplProxy();
    return serviceRegistryImpl.getServices();
  }
  
  public java.lang.String getServices(java.lang.String name, java.lang.String type, java.lang.String location, java.lang.String owner, java.lang.String description) throws java.rmi.RemoteException{
    if (serviceRegistryImpl == null)
      _initServiceRegistryImplProxy();
    return serviceRegistryImpl.getServices(name, type, location, owner, description);
  }
  
  public boolean addService(java.lang.String serviceURI, java.lang.String descriptionURI, java.lang.String friendlyName, java.lang.String type, java.lang.String location, java.lang.String owner, java.lang.String description) throws java.rmi.RemoteException{
    if (serviceRegistryImpl == null)
      _initServiceRegistryImplProxy();
    return serviceRegistryImpl.addService(serviceURI, descriptionURI, friendlyName, type, location, owner, description);
  }
  
  
}