using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ServiceManagementTool.serviceManager;

namespace ServiceManagementTool
{
    public partial class ManualServiceInstall : Form
    {
        private DomainManagerImplService managerService;
        
        
        public ManualServiceInstall(DomainManagerImplService managerService)
        {
            InitializeComponent();
            this.managerService = managerService;
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }

        private void btnInstall_Click(object sender, EventArgs e)
        {
            String message = managerService.installService(txtUrl.Text, txtFriendlyName.Text);
            MessageBox.Show(message);
        }
    }
}