using System;
using System.Collections.Generic;
using System.Text;

namespace ServiceManagementTool.UbiCollab
{
    class CollabInstance
    {
        /* The Id describing the Collaboration Instance */
        private string collabId;

        /* The Name of the Collaboration Instance*/
        private string collabName;


        public CollabInstance(string collabId, string collabName)
        {
            this.collabId = collabId;
            this.collabName = collabName;
        }

        
        /// <summary>
        /// Get or set the collaboration ID property
        /// </summary>
        public string CollabId
        {
            get { return collabId; }
            set { collabId = value; }
        }


        /// <summary>
        /// Get or set the collaboration Name property
        /// </summary>
        public string CollabName
        {
            get { return collabName; }
            set { collabName = value; }
        }


    }
}
