package org.ubicollab.X10Proxy;

/**
 * The Class GlobalSettings holds a set of constants that will be used by other classes
 * throughout the X10 Proxy service. This gives a single point of configuration.
 * 
 * @author Kim-Steve Johansen
 * @version 0.1
 */
public class GlobalSettings {
	
	/** The Constant SOAP_SERVICE_NAME is the service name that will be exported. */
	public final static String SOAP_SERVICE_NAME = "X10Proxy";
	
	
	/** The valid XML Header string that will be used to start XML-documents created. */
	public final static String XML_HEADER = "<?xml version=\"1.0\"?>";

}
